aboutsummaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-05-31 16:58:04 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-05-31 16:58:04 +0000
commitacb990eaeba685c72596152de35bf5a2e262c3ad (patch)
tree122606ee318981cc2e5b0f73ee95a298d92349c1 /testing
parentc592e5c45a0d35948f102187a3231ec30d45c9f2 (diff)
downloadaports-acb990eaeba685c72596152de35bf5a2e262c3ad.tar.bz2
aports-acb990eaeba685c72596152de35bf5a2e262c3ad.tar.xz
testing/perl-http-date: new aport
HTTP::Date perl module http://search.cpan.org/dist/HTTP-Date/
Diffstat (limited to 'testing')
-rw-r--r--testing/perl-http-date/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/testing/perl-http-date/APKBUILD b/testing/perl-http-date/APKBUILD
new file mode 100644
index 0000000000..a542cc3dd2
--- /dev/null
+++ b/testing/perl-http-date/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=perl-http-date
+pkgver=6.00
+pkgrel=0
+pkgdesc="HTTP::Date perl module"
+url="http://search.cpan.org/dist/HTTP-Date/"
+arch="noarch"
+license="GPLv2 or Artistic"
+depends="perl"
+makedepends="perl-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/HTTP-Date-$pkgver.tar.gz"
+
+_builddir="$srcdir"/HTTP-Date-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make && make test || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="41b875ac89c14d7f66515b52cdd12acd HTTP-Date-6.00.tar.gz"